Save echeck token

Allows you to securely save bank account information without a browser using the API or using your own form.

You may save a new e-check by including the card object or add existing TokenEx echeck token for use in Nexio by including the token object. Echeck tokens can be used to process through any MID on your account. They are not restricted to a specific merchant account or currency.

Note

Processing options must be sent in the request for a one-time-use token. For more information, see What data is saved with tokens? in Guides.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can also use the following test account. Copy the value and paste it into the appropriate space in the Try It section to the right. username: [email protected] password: JZdzoXpdDeH6VA

Include at least a one-time-use token, bank.accountHolderName, bank.accountHolderName, and either the bank.encryptedBankAccountNumber or the tokenex.token parameter.

Request parameters

  • bank
  • bank.accountHolderName
  • bank.routingNumber
  • bank.encryptedBankAccountNumber
  • token
  • data
  • data.customer
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.companyName
  • data.customer.createdAtDate
  • data.customer.email
  • data.customer.firstName
  • data.customer.invoice
  • data.customer.lastName
  • data.customer.orderNumber
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • data.customFields
  • data.customFields.exampleKey
  • tokenex
  • tokenex.token
  • tokenex.lastFour

Response parameters

  • token
  • token.token
  • tokenx.lastFour
  • data
  • data.customer
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.companyName
  • data.customer.email
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • bank
  • bank.accountHolderName
  • bank.routingNumber
  • merchantId
Body Params
string
required

A one-time-use token. This value is saved in the card/echeck token as key.

bank
object
required

Bank account information

tokenex
object

The TokenEx echeck token. (Use this option if you have pre-existing TokenEx tokens you would like to start using through Nexio). Conditionally Required if the bank.encryptedBankAccountNumber is not included. Echeck tokens can be used to process through any MID on your account. They are not restricted to a specific merchant account or currency.

data
object

Additional optional data

string

The Nexio merchant ID (MID). Generally, you should avoid sending this value in the request because it may interfere with several Nexio features. The API user you use directs the transaction to the appropriate MID automatically. This value is saved in the card/echeck token.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json